Ubuntu

Glipper dies when desktop starting

Reported by Sam Williams on 2008-04-07
520
This bug affects 57 people
Affects Status Importance Assigned to Milestone
Glipper
Fix Released
Critical
Fedora
Won't Fix
Unknown
glipper (Debian)
New
Unknown
glipper (Ubuntu)
Medium
Unassigned
Declined for Intrepid by Sebastien Bacher
Declined for Jaunty by Sebastien Bacher
Declined for Karmic by Sebastien Bacher
Declined for Lucid by Sebastien Bacher
Declined for Maverick by Sebastien Bacher
Hardy
Undecided
Unassigned

Bug Description

I use glipper all the time and I find it to be the clipboard application that has been missing from Linux desktops for the longest time. In the recent Hardy development I find that glipper dies when the desktop starts. I receive the following message in an error dialog window:

The panel encountered a problem while loading OAFIID:Glipper....

The is asks if I want to remove glipper from the panel. I find this very frustrating. What is more frustrating is that once the desktop is up and running I can then install the glipper applet back on the panel and it works properly. I have only installed this as an applet and I have never tried setting up a custom launcher.

DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=8.04
DISTRIB_CODENAME=hardy
DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"

glipper:
  Installed: 1.0-1
  Candidate: 1.0-1
  Version table:
 *** 1.0-1 0
        500 http://us.archive.ubuntu.com hardy/universe Packages
        100 /var/lib/dpkg/status

Traceback originally from Bug #222846:

ProblemType: Crash
Architecture: i386
Date: Sun Apr 27 03:59:12 2008
DistroRelease: Ubuntu 8.04
ExecutablePath: /usr/lib/glipper/glipper
InterpreterPath: /usr/bin/python2.5
Package: glipper 1.0-1ubuntu1
PackageArchitecture: i386
ProcCmdline: python /usr/lib/glipper/glipper
--oaf-activate-iid=OAFIID:Glipper_Factory --oaf-ior-fd=33
ProcEnviron:
 LANG=en_US.UTF-8

PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/X11:/usr/games
 SHELL=/bin/bash
PythonArgs: ['/usr/lib/glipper/glipper',
'--oaf-activate-iid=OAFIID:Glipper_Factory', '--oaf-ior-fd=33']
SourcePackage: glipper
Title: glipper crashed with ValueError in load()
Uname: Linux 2.6.24-16-386 i686
UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin plugdev
sambashare scanner video

Traceback (most recent call last):
  File "/usr/lib/glipper/glipper", line 53, in applet_factory
    glipper.Applet.Applet(applet)
  File "/var/lib/python-support/python2.5/glipper/Applet.py", line 50, in __init__
    get_glipper_history().load()
  File "/var/lib/python-support/python2.5/glipper/History.py", line 89, in load
    self.history.append(file.read(int(length)))
ValueError: invalid literal for int() with base 10: '\x14\x0b'

Proposed Workaround:
So what to do: Look up Glipper and add a wait statement:

sudo gedit /usr/lib/glipper/glipper

Make sure the code in the beginning looks like this:

#!/usr/bin/env python

# Glipper - Clipboardmanager for GNOME
# Copyright (C) 2007 Glipper Team
# bla bla bla
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
#

import time # <-- This line is new
time.sleep(8) # <-- This line is new. Change the 8 to for instance 30 if it did not help

import gobject
gobject.threads_init()

import gtk, gnomeapplet, gnome
import getopt, sys
from os.path import *

Proposed Solution(? needs to be verified):
Crashing in Intrepid too. It needs to be rebiult againsta libffi5 instead of libffi4

Sam Williams (sam-williams) wrote :

After I re-add the glipper applet to the panel I check ps and this is the result ( get back:

sam 5994 1 0 13:20 ? 00:00:00 python /usr/lib/glipper/glipper --oaf-activate-iid=OAFIID:Glipper_Factory --oaf-ior-fd=53

Brewster Malevich (brews) wrote :

I get the same. If I select the "don't delete" option when the error pops up, then log out, and log back in the same account. I do not have this same error. It is only after I reboot, or shutdown.

Changed in glipper:
status: New → Confirmed
Changed in glipper:
status: Confirmed → Triaged

not really helpful, but I get exactly the same problem as Sam

Changed in glipper:
importance: Undecided → Medium
Andy Lawrence (amlawrence) wrote :

I am still getting this error also. It seems to crash about 1 out of every 3 times I boot my laptop.

Radu Cristescu (radu.c) wrote :

I'm running a 64bit installation of 8.04 and glipper doesn't crash. It doesn't start either. I have to kill it myself, otherwise it freezes gnome-panel.

Radu Cristescu (radu.c) wrote :

Just an update. Bug #205507 explained my condition. Deleting the old .glipper directory solved my problem.

Florian Kisser (flok) wrote :

This one, Bug #220709 and #222846 all seem to be duplicates of Bug #205507.

Florian Kisser (flok) wrote :

Sry, missed the "Bug" in Bug #222846 ;)

 Florian,

I think you're right but I'm going to consolidate them here as this one already has more attention (ie was confirmed) and has been forwarded upstream. Traceback from Bug #222846 and work around from Bug #205507 have been add to this bug's description.

description: updated
description: updated
Robin Sheat (eythian) wrote :

Just a note: deleting ~/.glipper doesn't seem to be a reliable solution. I still get crashes of glipper on login much of the time.

description: updated
yop (yop) wrote :

Maybe a other choice of clipboard manager.

Like Parcellite http://code.google.com/p/xyhthyx/

It would be nice to see that in the repo.

yop,

Please see Bug #176485 [needs-packaging] Parcellite

A package is already availiable in my ppa: https://edge.launchpad.net/~andrewsomething/+archive

I can confirm this bug. If I can be of any help, just write it and I will provide what you need as soon as I can.

Juan J. Martínez (jjmartinez) wrote :

I confirm this bug.

From my ~/.xsession-errors:

** (gnome-panel:6362): WARNING **: panel-applet-frame.c:1270: failed to load applet OAFIID:Glipper:
System exception: IDL:Bonobo/GeneralError:1.0 : El proceso hijo no dio ningún mensaje de error, ha ocurrido un fallo desconocido

(the system exception says about an unknown error because the child didn't gave a error message, sorry because I run my system in spanish)

The problem is random and it SEEMS not related to Bug #222846 and Bug #205507.

I don't know how to get extra information from an applet, but I'll be glad to help.

franganghi (joered) wrote :

I will describe the solution i adopted to get glipper perfectly working on my panel.

I stopped gdm:
from terminal <sudo /etc/init.d/gdm stop>

And then gconftool:
from normal user <gconftool-2 --shutdown>

So i removed the glipper hidden dir:
from normal user <cd; rm -r .glipper>

Then restarting gdm i didn't have any crash/restart:
<sudo /etc/init.d/gdm start>

If previously added to the panel glipper in now perfectly running on my bar.
If not you have to manually re-add it to the panel by using the specific tool.

Ciao!

Franga

On Tuesday 20 May 2008 21:18:14 franganghi wrote:
> If previously added to the panel glipper in now perfectly running on my
> bar. If not you have to manually re-add it to the panel by using the
> specific tool.

I did that, and it worked on one of my computers, but on another it still
crashes reliably on startup. If I re-add it it is fine until the next
startup.

--
Robin <email address hidden> JabberID: <email address hidden>

Hostes alienigeni me abduxerunt. Qui annus est?

PGP Key 0xA99CEB6D = 5957 6D23 8B16 EFAB FEF8 7175 14D3 6485 A99C EB6D

I have a temporary fix for this problem. The fact that it happens sometimes led me to believe that apparently there is some daemon or environment that has not been started yet at the moment that Glipper loads (so, Glipper is "too fast" with starting). So I added a wait period in the starting of Glipper, and that fixed the problem. The time-out is in itself not a problem, I don't mind that Glipper starts for instance half a minute later, as long as I do not have to re-add it every time I boot my laptop.

So what to do: Look up Glipper and add a wait statement:

sudo gedit /usr/lib/glipper/glipper

Make sure the code in the beginning looks like this:

#!/usr/bin/env python

# Glipper - Clipboardmanager for GNOME
# Copyright (C) 2007 Glipper Team
# bla bla bla
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
#

import time # <-- This line is new
time.sleep(8) # <-- This line is new. Change the 8 to for instance 30 if it did not help

import gobject
gobject.threads_init()

import gtk, gnomeapplet, gnome
import getopt, sys
from os.path import *

Michael Nagel (nailor) wrote :

probably the same workaround as SXW's but i can get it running by simply logging out and logging in again... it works then. only the first login is problematic. SXW's approach is less user-involving but on the long run one should find out what service glipper is expecting and explicitly wait for it.

Pedro Fragoso (ember) wrote :

I can confirm that the sleep fix work fine here.

I can also confirm the SXW's sleep fix has worked great on repeated start up's , thanks SXW.

Pedro Fragoso (ember) wrote :

For those on Hardy i've set up a PPA with this fix in.

http://launchpadlibrarian.net/14965046/glipper_1.0-1ubuntu2%7Eppa1_i386.deb

leslie (laszlo-karpati) wrote :

Thanks SXW, thats works for me!

Radu Cristescu (radu.c) wrote :

That sleep worked for me for a while too. Then I have no idea what I did, but at login, my drive is getting hammered, enough to make that sleep useless. I happen to be seeing trackerd using a lot of CPU at login, so I wonder if that has anything to do with the delay.

Is there a way to start the applet in debug mode to see where exactly does it crash? It's only 123 lines long, so it can't be that hard to debug it, can it?

Martin Schaaf (mascha) wrote :

This patch works for me.
Copy the patch go to the directory "/usr/share/python-support/glipper/glipper/".
Apply it with "patch <glipperNotStarting.patch" as root.
If this does not work made the change by hand in the History.py file.

Emanuele Gentili (emgent) wrote :

@ember: can you take a look ?

Andrew Conkling (andrewski) wrote :

Is this a duplicate of bug 175490?

Pedro Fragoso (ember) wrote :

@emgent, yeah we can use this too, but i'm leaving the sleep() to not crashing when trying to get before the applets.

glipper (1.0-1ubuntu2) intrepid; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.8.0
    - Moved Homepage to Homepage field
  * debian/control, debian/rules:
    - Added shlibdeps and shlibs to make Lintian happy
  * debian/patches/03_minor_fix.dpatch:
    - Fix some Python warnings
    - /usr/bin/env python -> /usr/bin/python
    - Add timer to stop glipper to fail starting on reboot
      Thanks SXW, (LP: #213494)
  * debian/patches/04_glippernotstarting.dpatch
    - Patch by Martin Schaaf

 -- Pedro Fragoso <email address hidden> Fri, 01 Aug 2008 00:11:04 +0100

Radu Cristescu (radu.c) wrote :

Hi all,

Guess what happened to me today: other applets wanted to be deleted. Most of the applets in my bar. And that's after I removed glipper from there.

This makes me think that this is not a bug in glipper, but rather a condition in the gnome panel that spawns the applets before it is ready to handle them.

One particular thing I noticed when this happened is that gnome took a lot longer to start, which doesn't happen every time. This also sustains the idea that the problem may be somewhere else.

Cheers

Uplink, that sounds like a different issue. Please report a new bug.

On 8/1/08, Uplink <email address hidden> wrote:
> Hi all,
>
> Guess what happened to me today: other applets wanted to be deleted.
> Most of the applets in my bar. And that's after I removed glipper from
> there.
>
> This makes me think that this is not a bug in glipper, but rather a
> condition in the gnome panel that spawns the applets before it is ready
> to handle them.
>
> One particular thing I noticed when this happened is that gnome took a
> lot longer to start, which doesn't happen every time. This also sustains
> the idea that the problem may be somewhere else.
>
> Cheers
>
> --
> [Hardy] Glipper dies when desktop starting
> https://bugs.launchpad.net/bugs/213494
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Andrew, it actually sounds like the same issue, generalized.

The way I see it, the issue goes like this:

Gnome panel starts the applets too early. Glipper is "lucky" enough to start faster than the rest of the applets, so it fails to start almost every first login after powering on the system. If you log out and log back in again, most of the stuff is already in RAM, and Gnome starts a lot faster, enough for the issue to no longer reproduce.

The "sleep(8)" workaround mentioned above delays the startup of glipper. That, the way I see it, delays glipper enough so Gnome panel can set up its things. Well, until you get Gnome to start even more slowly, like I did, in which case that sleep(8) doesn't fix the issue (unless you increase it to a bigger value), and you get the failure to start again. That's what happened to me anyway.

One day, after I had glipper removed, Gnome decided to take a heck of a lot more time to boot. The effect? The same bug reported for glipper here manifested for most of the other applets. That means I was kindly offered to delete everything from the menu to the clock applet :) This happened only once, but I think I can add something that can slow down gnome panel's startup time and reproduce this issue reliably.

I also took a crash course in python the past few days, and glipper's code doesn't seem to have any bug related to its startup problem in it. The problem can occur in the bonobo initialization part, which is outside of glipper's control. I didn't read all the code though, so I can't say 100% sure that what I just said is right, but chances are high that it is.

This makes me think that this bug should be renamed and assigned to gnome panel.

Can you see my logic in here? I hope I'm not too far off from the truth.

Radu Cristescu (radu.c) wrote :

Oh yeah, can bugs really be renamed? Or do I have to open a new bug and reference this thread?

Michael Nagel (nailor) wrote :

bugs can be renamed, the description can be edited and you can mark other packages (gnome-panel!) as affected. click the yellowish thing on the right side of the title or search for " Update description / tags (see original description)" below the description (another yellowish bubble will be there)

On Mon, Aug 4, 2008 at 5:55 PM, Uplink <email address hidden> wrote:

> One day, after I had glipper removed, Gnome decided to take a heck of a
> lot more time to boot. The effect? The same bug reported for glipper
> here manifested for most of the other applets. That means I was kindly
> offered to delete everything from the menu to the clock applet :) This
> happened only once, but I think I can add something that can slow down
> gnome panel's startup time and reproduce this issue reliably.

I think that sounds like the same surface problem (the generic error
message), but take a look at the traceback in the description and a lot of
the duplicates; it seems very specific to Glipper. The reason I suggested
posting a new bug is that Apport (and triagers) can analyze the bug to see
whether it's a duplicate of this—or any other bug.

I also took a crash course in python the past few days, and glipper's
> code doesn't seem to have any bug related to its startup problem in it.

The traceback does. Right?

glipper is not actively maintained right now:
see Bug 255060

Radu Cristescu (radu.c) wrote :

Hmm... looks like the message trail for this bug entry treats two bugs:
- one about glipper having trouble reading stuff from a .glipper directory after upgrading (which has nothing to do with gnome panel, as you have to delete the .glipper directory for things to work out) -- looks like what is being said in the description; and
- another about glipper starting up (which I tied to gnome panel rather than being glipper's fault, because it works if you log out and then log back in without deleting the .glipper directory, yet adding a small(!) delay at the top of the script) -- which is mentioned when the time.sleep(8) workaround is suggested;

At first I had the first issue, deleted the .glipper directory, and the problem was solved forever. Then the second mentioned issue crawled in.

I renamed /usr/lib/glipper/glipper to glipper.real and put a bash script named glipper in its place, which looks like this:

#!/bin/bash
exec 1> >(tee /tmp/glipper.out) 2> >(tee /tmp/glipper.err)
exec /usr/lib/glipper/glipper.real "$@"

So now I have this text in both glipper.out and glipper.err:

 Bonobo-Activation-ERROR **: This process has not registered the required OAFIID your source code should register 'OAFIID:Glipper_Factory'. If your code is performing delayed registration and this message is trapped in error, see bonobo_activation_idle_reg_check_set.
 aborting...

With glipper.out also having a line saying "SHARED_DATA_DIR: /usr/share/glipper" before this message.

And there's no stack trace in any of those files. Unless glipper is killed because of its failure to start (on grounds that failure cannot be tolerated perhaps), a stack trace should show up if one was printed by python.

So I logged out, logged back in, glipper started this time, and I have the "normal" messages in glipper.out and glipper.err:

** (glipper.real:6500): WARNING **: Binding '<Ctrl><Alt>v' failed!

which is normal, because I have that combination bound to something else.

Sorry for turning the bug comments into a forum if I'm not supposed to do so, but it seems to me that something's not right with this entry, and debate about what should happen to it (possibly split it? send part of it to gnome-panel?).

Wish I knew that that Bonobo error meant, so I could dig deeper before posting something to gnome-panel.

Jimmy Merrild Krag (beruic) wrote :

I can confirm this issue from a fresh install of Hardy. Glipper dies a lot of times when logging in for the first time.

After reading everything here, I'm a bit confused on what to do and think of this problem. Should I apply the sleep solution, or install Parcellite instead? Will somebody fix Glipper?

Tom Arnold (g0tt) wrote :

Why hasn't the fix come with an official update yet?

Michael Nagel (nailor) wrote :

this is not a fix but merely a workaround. glipper is dead - (undecided) Bug 255060:

Tom Arnold (g0tt) wrote :

OK, I see.

But is shipping a broken version the right solution?

Installing Parcellite does not seem to be that easy.

I can see that going forward Parcellite might be the better solution ( maintained, C instead of Python ), but for now Glipper works fine with the workaround ..

Michael Nagel (nailor) on 2008-08-29
description: updated
Changed in glipper:
status: Unknown → New
Changed in glipper:
status: New → Confirmed
38 comments hidden view all 118 comments

It's not a solution, it's a (good, usually sufficient) workaround. This is
why it hasn't been placed in the actual package. I believe previous comments
have addressed the specific reasons.

Shane Rice (shane2peru) wrote :

This bug is not a new one, and seems to be stalled as far as a fix, if it is a sufficient workaround (are there any cases where this doesn't workaround the problem?) It seems that usability would be key, and that workaround fixes it on several of my machines, I know that is slightly limited, but seems like a very viable workaround. It doesn't seem that collecting any further data is going to result in a solution that will come around any time soon, because as stated, this isn't new. Perhaps I missed the previous reasons, I did breeze through them, and mostly it is talk of using something different (parcelite klipper, etc.) those aren't even workarounds, they are abandonment. I believe that actually the times it didn't work are not related to the glipper startup crashing bug, but rather a memory limitation type bug. I too have crashed glipper in this way, however playing around with the settings has stopped that problem. I'm not a programmer, so it is only my observations and opinions take it for what it is worth. I think end userability ranks higher than attempting to milk a dry cow for more information. The majority of users (of which I venture to guess don't even visit this page) just delete it and install parcelite or klipper without a second thought. Don't take this as a reproach, it is just my opinion from one of the end users.

Shane

Spang (hetkot) wrote :

Jaunty AMD64
For me the sleep thing doesn't seem to fix it.
On the contrary, it stalls the rest of my gnome from loading.

Spang (hetkot) wrote :

I Give up for now.
Switched to parcelite.

Shane Rice (shane2peru) wrote :

Spang, Does glipper keep gnome from loading, or just slow it down? I too have Jaunty AMD64 and mine seems to work, perhaps it delays gnome startup a little bit, not sure, but it does seem to work at least here.

Shane

®om (rom1v) wrote :

I have Jaunty 32 bits and glipper crashes on boot… but not always, I would say 1/3.

Udo Güngerich (ug78) wrote :

Hi there,

I'm running Jaunty and are (since Hardy) experiencing the same problems.

I followed this thread which I only found today (luckily).

I spent some two hours to dig a little into the problem and found that its got to do (as others above pointed out already) with some little gnome inside the code ;)

I first suspected gobject.threads_init() as other resources pointed out, that time and order of calls matter in PyGTK.

Then, as a first step, I added logging to see how far Glipper would fare:

It is merely starting up before it crashes.

Being intrigued by this and by the fact that it really only happens at boot time, I started to write this patch (see attachment).

For now after the first successful (re-)boot (done a far few by now) test, Glipper *did not* crash with this code in place!

I'd be really curious whether it'll help others, so please give it a try!

Best regards,

Udo

Udo Güngerich (ug78) wrote :

btw: did a couple of restarts since and no crash happened anymore :)

Happy glipping!

Andii (andiibowsher) wrote :

It's become much more intermittent since upgrade, say one in five start ups. If I press 'don't delete' it seems to run fine anyway: almost as if it's a phantom message.

mwaechter (matthias-waechter) wrote :

I experienced this bug since I switched to gnome with intrepid. Tried Udo Güngerichs patch today and no more crashes since then. Congratulations to Udo so far, and I will keep watching it.

Greetings, Matthias

James Westby (james-w) wrote :

On Tue, 2009-06-09 at 11:44 +0000, Udo Güngerich wrote:
> For now after the first successful (re-)boot (done a far few by now)
> test, Glipper *did not* crash with this code in place!

Could you provide the log output that you get with your patch
applied please?

Thanks,

James

eugrus (eugrus) wrote :

For me it crashes as I try to copy some pages in OpenOffice.org.

So, looks like BIG text is a reason.

Shane Rice (shane2peru) wrote :

If you right click on the glipper icon and select preference, you can change the size of the clipboard manager. This will help with BIG text issues. I also have crashed glipper that way in the past. Mine is set to Lenght of one history entry 35 . You can up that or make it less, I can't remember which way to fix that.

Shane

mwaechter (matthias-waechter) wrote :

Since yesterday I had some more crashes at startup. Thus the problem still remains. The logfile created by Udo's patch is attached, but it doesn't tell me anything. I will probably switch to parcellite soon, which seems to work perfectly.
Greetings, Matthias

Udo Güngerich (ug78) wrote :

Right. So now I had another crash :(

Happened after my notebook did not properly wake up after suspend because of lack of power.

I then had to do a normal boot and glipper crashed after log in to GNOME.

So it's about one crash for maybe 4 times booting.

My log file says the crash happened right after the first message.

So the error must happen between "Trying to start glipper..." and

 while not ready:
     try:
         import gobject
         gobject.threads_init()
         import gtk, gnomeapplet, gnome
         ready = True

Logical next step is to make one debug line per code. We'll then be able to tell where it crashes if there is only one place in the code or at least know that there are many lines that make it crash or different situations.

My log is attached. Crash happened at 2009-06-12T15:23:11.300143

I will provide a more verbose version in a while. Maybe we can track it down...

Udo Güngerich (ug78) wrote :

I added another couple of loggings :)

I attach my log (the relevant bit).

It seems that - contrary to what I wrote above - Glipper crashes after importing glipper, glipper.Applet and glipper.defs:

DEBUG:root:Importing glipper, glipper.Applet, glipper.defs... 2009-06-17T23:00:50.232058

I'll provide the (non-incremental) current patch in the next post :)

Udo Güngerich (ug78) wrote :

This is the current patch to glipper.

At the moment it does not yet write one line of log per line of code, but I'll get to that somewhen, I reckon :(

Maybe someone else will provide his log after applying the patch and we'll eventually get to the core of the problem?!

Oh, and beware - the patch seems to be big. This is because the authors of glipper used tabs for indentation *brrrr* and I cleaned it ;)

Changed in fedora:
status: Confirmed → Won't Fix
Shane Rice (shane2peru) wrote :

This fix:

sudo gedit /usr/lib/glipper/glipper

Make sure the code in the beginning looks like this:

#!/usr/bin/env python

# Glipper - Clipboardmanager for GNOME
# Copyright (C) 2007 Glipper Team
# bla bla bla
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
#

import time # <-- This line is new
time.sleep(8) # <-- This line is new. Change the 8 to for instance 30 if it did not help

import gobject
gobject.threads_init()

import gtk, gnomeapplet, gnome
import getopt, sys
from os.path import *

Worked for me, I had it set to 30, and then started crashing it regularly at startup. I upped it to 90 seconds, and that is working now. I also went through a bunch of stuff in my startup and eliminated bunch of things that shouldn't have been starting anyway.

Shane

Download full text (4.6 KiB)

But why does that work? If it sleeps for 8, 30, 90 seconds and then starts
reliably? what was it that caused it to crash in the first place?

Jacob

On Thu, Jul 30, 2009 at 8:15 AM, Shane Rice <email address hidden> wrote:

> This fix:
>
> sudo gedit /usr/lib/glipper/glipper
>
> Make sure the code in the beginning looks like this:
>
> #!/usr/bin/env python
>
> # Glipper - Clipboardmanager for GNOME
> # Copyright (C) 2007 Glipper Team
> # bla bla bla
> # License along with this library; if not, write to the
> # Free Software Foundation, Inc., 59 Temple Place - Suite 330,
> # Boston, MA 02111-1307, USA.
> #
>
> import time # <-- This line is new
> time.sleep(8) # <-- This line is new. Change the 8 to for instance 30 if it
> did not help
>
> import gobject
> gobject.threads_init()
>
> import gtk, gnomeapplet, gnome
> import getopt, sys
> from os.path import *
>
> Worked for me, I had it set to 30, and then started crashing it
> regularly at startup. I upped it to 90 seconds, and that is working
> now. I also went through a bunch of stuff in my startup and eliminated
> bunch of things that shouldn't have been starting anyway.
>
> Shane
>
> --
> Glipper dies when desktop starting
> https://bugs.launchpad.net/bugs/213494
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Glipper: Unknown
> Status in “glipper” package in Ubuntu: Triaged
> Status in glipper in Ubuntu Hardy: Confirmed
> Status in “glipper” package in Debian: New
> Status in Fedora: Won't Fix
>
> Bug description:
> I use glipper all the time and I find it to be the clipboard application
> that has been missing from Linux desktops for the longest time. In the
> recent Hardy development I find that glipper dies when the desktop starts. I
> receive the following message in an error dialog window:
>
> The panel encountered a problem while loading OAFIID:Glipper....
>
> The is asks if I want to remove glipper from the panel. I find this very
> frustrating. What is more frustrating is that once the desktop is up and
> running I can then install the glipper applet back on the panel and it works
> properly. I have only installed this as an applet and I have never tried
> setting up a custom launcher.
>
> DISTRIB_ID=Ubuntu
> DISTRIB_RELEASE=8.04
> DISTRIB_CODENAME=hardy
> DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"
>
> glipper:
> Installed: 1.0-1
> Candidate: 1.0-1
> Version table:
> *** 1.0-1 0
> 500 http://us.archive.ubuntu.com hardy/universe Packages
> 100 /var/lib/dpkg/status
>
>
>
> Traceback originally from Bug #222846:
>
> ProblemType: Crash
> Architecture: i386
> Date: Sun Apr 27 03:59:12 2008
> DistroRelease: Ubuntu 8.04
> ExecutablePath: /usr/lib/glipper/glipper
> InterpreterPath: /usr/bin/python2.5
> Package: glipper 1.0-1ubuntu1
> PackageArchitecture: i386
> ProcCmdline: python /usr/lib/glipper/glipper
> --oaf-activate-iid=OAFIID:Glipper_Factory --oaf-ior-fd=33
> ProcEnviron:
> LANG=en_US.UTF-8
>
>
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/X11:/usr/games
> SHELL=/bin/bash
> PythonArgs: ['/usr/lib/glipper/glipper',
> '--oaf-activate-iid=OAFIID:Glipper_Factory', '...

Read more...

Shane Rice (shane2peru) wrote :

I really cannot give an answer. It must clash with something, but no
one has been able to figure it out. It is a real pain, because I really
like glipper. This has been a bug for years, and no answer better than
that has been presented.

Shane

On Fri, 2009-07-31 at 00:21 +0000, chappejw wrote:

> But why does that work? If it sleeps for 8, 30, 90 seconds and then starts
> reliably? what was it that caused it to crash in the first place?
>
> Jacob
>

Txs Shane, your workaround also works for me on Hardy (I set a time of 15).

Shane Rice (shane2peru) wrote :

On Tue, 2009-08-11 at 21:24 +0000, marco.pallotta wrote:

> Txs Shane, your workaround also works for me on Hardy (I set a time of
> 15).
>

I didn't come up with it, I just echoed what someone else taught me. :)
Glad it worked for you.

Shane

Helder Fraga (whise) wrote :

hello, im the developer of gnomenu , i also have the error, if there is any debugging help it would be apreciated, my main concern is that some python applets load without the error and others dont... so what is causing this??

Udo Güngerich (ug78) wrote :

Hi, it is been a long time since I cared about this bug, but the last comment made me investigate again.

For all I can say now: The bug does not occur anymore on my machine with my glipper version.

I think it extremely likely that this is indeed a race condition as many others already pointed out. The lacking of my glipper crashing almost proves it.

I changed the import order of these gnome, gtk and glipper libraries and thus avoided the crash:

gobject
gtk
gnome
gnomeapplet
glipper
glipper.defs
glipper.Applet

I provided a try-except-block for each import with according logging.

As I said, I experience no crashes anymore, so this might be a solution.

I will attach my changed glipper script.

Regards, Udo

Udo Güngerich (ug78) wrote :

Ok, it crashed again, I removed the import of glipper (it's a directory) and no crash so far, but I have to behold it for a while further...

David Futcher (bobbo) on 2010-06-08
tags: added: patch-forwarded-upstream
removed: patch
Download full text (4.2 KiB)

I believe this project has pretty much been abandoned. I have been using
Parcellite for a long time now and it is pretty much the same thing, and
doesn't crash.

Jacob

On Fri, Jul 31, 2009 at 5:29 AM, Shane Rice <email address hidden> wrote:

> I really cannot give an answer. It must clash with something, but no
> one has been able to figure it out. It is a real pain, because I really
> like glipper. This has been a bug for years, and no answer better than
> that has been presented.
>
> Shane
>
>
> On Fri, 2009-07-31 at 00:21 +0000, chappejw wrote:
>
> > But why does that work? If it sleeps for 8, 30, 90 seconds and then
> starts
> > reliably? what was it that caused it to crash in the first place?
> >
> > Jacob
> >
>
> --
> Glipper dies when desktop starting
> https://bugs.launchpad.net/bugs/213494
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Glipper: Unknown
> Status in “glipper” package in Ubuntu: Triaged
> Status in glipper in Ubuntu Hardy: Confirmed
> Status in “glipper” package in Debian: New
> Status in Fedora: Won't Fix
>
> Bug description:
> I use glipper all the time and I find it to be the clipboard application
> that has been missing from Linux desktops for the longest time. In the
> recent Hardy development I find that glipper dies when the desktop starts. I
> receive the following message in an error dialog window:
>
> The panel encountered a problem while loading OAFIID:Glipper....
>
> The is asks if I want to remove glipper from the panel. I find this very
> frustrating. What is more frustrating is that once the desktop is up and
> running I can then install the glipper applet back on the panel and it works
> properly. I have only installed this as an applet and I have never tried
> setting up a custom launcher.
>
> DISTRIB_ID=Ubuntu
> DISTRIB_RELEASE=8.04
> DISTRIB_CODENAME=hardy
> DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"
>
> glipper:
> Installed: 1.0-1
> Candidate: 1.0-1
> Version table:
> *** 1.0-1 0
> 500 http://us.archive.ubuntu.com hardy/universe Packages
> 100 /var/lib/dpkg/status
>
>
>
> Traceback originally from Bug #222846:
>
> ProblemType: Crash
> Architecture: i386
> Date: Sun Apr 27 03:59:12 2008
> DistroRelease: Ubuntu 8.04
> ExecutablePath: /usr/lib/glipper/glipper
> InterpreterPath: /usr/bin/python2.5
> Package: glipper 1.0-1ubuntu1
> PackageArchitecture: i386
> ProcCmdline: python /usr/lib/glipper/glipper
> --oaf-activate-iid=OAFIID:Glipper_Factory --oaf-ior-fd=33
> ProcEnviron:
> LANG=en_US.UTF-8
>
>
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/X11:/usr/games
> SHELL=/bin/bash
> PythonArgs: ['/usr/lib/glipper/glipper',
> '--oaf-activate-iid=OAFIID:Glipper_Factory', '--oaf-ior-fd=33']
> SourcePackage: glipper
> Title: glipper crashed with ValueError in load()
> Uname: Linux 2.6.24-16-386 i686
> UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin plugdev
> sambashare scanner video
>
>
> Traceback (most recent call last):
> File "/usr/lib/glipper/glipper", line 53, in applet_factory
> glipper.Applet.Applet(applet)
> File "/var/lib/python-support/python2.5/glipper/A...

Read more...

Andii (andiibowsher) wrote :

I've also given up on glipper. Been using Parcellite for a year or so and it's not let me down. I'd suggest that glipper should be dropped and migration to parcellite encouraged.

Eric (weisscoder) wrote :

Parcellite uses the notification area, rather than being a panel applet or sitting in the indicator applet in Ubuntu. With Ubuntu's plan to remove the notification area, this still leaves a use for Glipper. Further, Parcellite actually has been abandoned: http://parcellite.sourceforge.net/?p=89 .

Shane Rice (shane2peru) wrote :

Yes, last news on glipper was back in 07! Seems as though the parcellite has just announced that it will no longer be maintained either as of (April 2010). I too have abandonded the glipper route and settled with parcellite. Sure hope either someone picks up parcellite, or something else comes a long. You would have to think that if glipper has not been touched since 2007, it probably would have a security hole or something. Perhaps not, but I would think it would.

Shane

I installed glipper on 10.04 x86 and it didn't crash yet.
Can someone else confirm this?

Omk (ossi-viljakainen) wrote :

Yes it crashes, sometimes. I have removed it from my panel and I am using
Parcellite instead.

On Mon, Jun 21, 2010 at 12:26 AM, marco.pallotta
<email address hidden>wrote:

> I installed glipper on 10.04 x86 and it didn't crash yet.
> Can someone else confirm this?
>
> --
> Glipper dies when desktop starting
> https://bugs.launchpad.net/bugs/213494
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
-Ossi Viljakainen
Jooga-opettaja, Ayurveda-konsultti
+358-45-125 5674 (Finland mobile)skype: ossiviljakainen
<email address hidden> - http://www.ayur-jooga.fi/

John Cottier (j-cottier) wrote :

This is still a problem in 10.04, I get "The panel encountered a problem...." error message for Glipper at every bootup. I tried using klipper instead, but then when shutting down Ubuntu Klipper "fails to respond". The after system startup, its gone from the panel (and takes kmail tray icon with it). So we have the two major clip board apps, one fails at boot, the other fails at shutdown. Since I use clipboards all the time at work this is a problem for me as a business user. How many years do we have to wait for a bugfix?

Download full text (4.3 KiB)

parcelite

http://parcellite.sourceforge.net/

Jacob

On Tue, Jun 29, 2010 at 4:45 AM, John Cottier <email address hidden>wrote:

> This is still a problem in 10.04, I get "The panel encountered a
> problem...." error message for Glipper at every bootup. I tried using
> klipper instead, but then when shutting down Ubuntu Klipper "fails to
> respond". The after system startup, its gone from the panel (and takes
> kmail tray icon with it). So we have the two major clip board apps, one
> fails at boot, the other fails at shutdown. Since I use clipboards all
> the time at work this is a problem for me as a business user. How many
> years do we have to wait for a bugfix?
>
> --
> Glipper dies when desktop starting
> https://bugs.launchpad.net/bugs/213494
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Glipper: Unknown
> Status in “glipper” package in Ubuntu: Triaged
> Status in “glipper” source package in Hardy: Confirmed
> Status in “glipper” package in Debian: New
> Status in Fedora: Won't Fix
>
> Bug description:
> I use glipper all the time and I find it to be the clipboard application
> that has been missing from Linux desktops for the longest time. In the
> recent Hardy development I find that glipper dies when the desktop starts. I
> receive the following message in an error dialog window:
>
> The panel encountered a problem while loading OAFIID:Glipper....
>
> The is asks if I want to remove glipper from the panel. I find this very
> frustrating. What is more frustrating is that once the desktop is up and
> running I can then install the glipper applet back on the panel and it works
> properly. I have only installed this as an applet and I have never tried
> setting up a custom launcher.
>
> DISTRIB_ID=Ubuntu
> DISTRIB_RELEASE=8.04
> DISTRIB_CODENAME=hardy
> DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"
>
> glipper:
> Installed: 1.0-1
> Candidate: 1.0-1
> Version table:
> *** 1.0-1 0
> 500 http://us.archive.ubuntu.com hardy/universe Packages
> 100 /var/lib/dpkg/status
>
>
>
> Traceback originally from Bug #222846:
>
> ProblemType: Crash
> Architecture: i386
> Date: Sun Apr 27 03:59:12 2008
> DistroRelease: Ubuntu 8.04
> ExecutablePath: /usr/lib/glipper/glipper
> InterpreterPath: /usr/bin/python2.5
> Package: glipper 1.0-1ubuntu1
> PackageArchitecture: i386
> ProcCmdline: python /usr/lib/glipper/glipper
> --oaf-activate-iid=OAFIID:Glipper_Factory --oaf-ior-fd=33
> ProcEnviron:
> LANG=en_US.UTF-8
>
>
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/X11:/usr/games
> SHELL=/bin/bash
> PythonArgs: ['/usr/lib/glipper/glipper',
> '--oaf-activate-iid=OAFIID:Glipper_Factory', '--oaf-ior-fd=33']
> SourcePackage: glipper
> Title: glipper crashed with ValueError in load()
> Uname: Linux 2.6.24-16-386 i686
> UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin plugdev
> sambashare scanner video
>
>
> Traceback (most recent call last):
> File "/usr/lib/glipper/glipper", line 53, in applet_factory
> glipper.Applet.Applet(applet)
> File "/var/lib/python-support/python2.5/glipper/Applet.py", line 50, in
> __init__
> get_...

Read more...

Marc MAURICE (dooblem) wrote :

Parcellite doesn't seem to support copy on selection. It only supports "ctrl+c copy".

Maybe this is related ? :
https://bugs.launchpad.net/gnomenu/+bug/347777

Laszlo Pandy (laszlok) on 2011-04-09
Changed in glipper:
importance: Unknown → Critical
milestone: none → 2.0
status: Unknown → Fix Released
Laszlo Pandy (laszlok) on 2011-04-21
Changed in glipper (Ubuntu):
status: Triaged → Fix Released
Smartypants (fredrik-normann) wrote :

TTT wow

On Thu, Apr 21, 2011 at 2:38 PM, Laszlo Pandy <email address hidden> wrote:
> ** Changed in: glipper (Ubuntu)
>       Status: Triaged => Fix Released
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (175490).
> https://bugs.launchpad.net/bugs/213494
>
> Title:
>  Glipper dies when desktop starting
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/glipper/+bug/213494/+subscribe
>

--
Mvh
-fredrik-normann-
Sent from my Gmail Account

unf (unfito) wrote : Good news!

Dear friend,
Just got an Nikon D80 10.2MP Digital SLR Camera on this website: bihoir.com
Much cheaper than the market price. If you want to buy digital products,
just order online and you will get the high quality products.
Hope you can enjoy shopping!
Thanks & Regards!

Daniel Hahler (blueyed) wrote :

Yes, there's still a problem, if there's "strange" history data, which cannot be loaded correctly.

See bug #833629 about this.

David Kaplan (dmkaplan) wrote :

I have glipper installed and recently updated to precise pangolin. Regularly, I get a message that glipper died after logging in to my machine. The little glipper icon remains in the bar at the top of the screen, but it is unreactive. This sounds pretty similar to the original bug report even though a fix has supposedly been released.

Laszlo Pandy (laszlok) wrote :

@David, what version of glipper? What is the exact message? Are you using Unity, or a different desktop?

Hi David. Please open a new bug report for your issue. To report a new bug, press Alt+F2 (or open a terminal) and type:

  ubuntu-bug glipper

You can have more information about how bug reports are reported and handled here:

  https://help.ubuntu.com/community/ReportingBugs

Displaying first 40 and last 40 comments. View all 118 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.